Subject: Re: [PATCH v2 4/4] sideband: add options to allow more control sequences to be passed through

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Jan 2026 11:24:20 -0800

Johannes Schindelin <[email-masked]> writes:

>> FWIW, I do not think anybody around here is against "opt-in with a note"
>> approach at all.
>
> Does what I say not count? Additionally, I think you misinterpreted
> Patrick's reply, who pointed out that Git should be safe by default (i.e.
> "opt-out").

What I meant was there is nobody who does not want these filtering
changes under any shape.  Everybody is OK with these filtering, even
those of us who do not want to give unnecessary regressions to end
users, as long as it is opt-in.

Unless you and Patrick thinks we should not add the filtering
feature unless we enable it by default, that is.